Apps: Apns p8
PUT /apps/{app_id}/apns_p8Path Parameters
Section titled “Path Parameters”| Name | Type | Required | Description |
|---|---|---|---|
app_id |
string | No | id of pulsate app |
Body Parameters
Section titled “Body Parameters”| Name | Type | Required | Description |
|---|---|---|---|
setting_attributes |
object | Yes | |
setting_attributes.apple_certificate |
file | No | p8 file for apple apns |
setting_attributes.apple_password |
string | No | apple apns password |
setting_attributes.apple_bundle_id |
string | No | bundle id for apns apple |
setting_attributes.apple_key_id |
string | No | key id of apns apple |
setting_attributes.apple_team_id |
string | No | team id of apns apple |
Headers
Section titled “Headers”| Name | Type | Required | Description |
|---|---|---|---|
Authorization |
string | Yes | {my_admin_api_token} |
Content-Type |
string | No | multipart/form-data |
Request Example
Section titled “Request Example”curl --request PUT \ --url https://control.pulsatehq.com/api/v2/apps/{app_id}/apns_p8 \ --header 'authorization: Token token={my_admin_api_token}' \ --header 'content-type: multipart/form-data' \ --form 'setting_attributes[apple_bundle_id]=pulsate.universal.app' \ --form 'setting_attributes[apple_key_id]=test key id' \ --form 'setting_attributes[apple_team_id]=test team id' \ --form 'setting_attributes[apple_certificate]=@/home/dell/Downloads/test.p8'
